EulerOS 2.0 SP8 : ceph (EulerOS-SA-2019-1791)

Medium Nessus Plugin ID 127028

Synopsis

The remote EulerOS host is missing a security update.

Description

According to the version of the ceph packages installed, the EulerOS installation on the remote host is affected by the following vulnerability :

- A flaw was found in the way the ListBucket function max-keys has no defined limit in the RGW codebase. An authenticated ceph RGW user can cause a denial of service attack against OMAPs holding bucked indices.(CVE-2018-16846)

Note that Tenable Network Security has extracted the preceding description block directly from the EulerOS security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.

Solution

Update the affected ceph package.

See Also

http://www.nessus.org/u?e300e6ce

Plugin Details

Severity: Medium

ID: 127028

File Name: EulerOS_SA-2019-1791.nasl

Version: 1.1

Type: local

Published: 2019/07/25

Updated: 2019/07/25

Dependencies: 12634

Risk Information

Risk Factor: Medium

CVSS v2.0

Base Score: 4

Vector: CVSS2#AV:N/AC:L/Au:S/C:N/I:N/A:P

CVSS v3.0

Base Score: 6.5

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

Vulnerability Information

CPE: p-cpe:/a:huawei:euleros:librados2, p-cpe:/a:huawei:euleros:librbd1, p-cpe:/a:huawei:euleros:python-rados, p-cpe:/a:huawei:euleros:python-rbd, cpe:/o:huawei:euleros:2.0

Required KB Items: Host/local_checks_enabled, Host/EulerOS/release, Host/EulerOS/rpm-list, Host/EulerOS/sp

Excluded KB Items: Host/EulerOS/uvp_version

Patch Publication Date: 2019/07/25

Reference Information

CVE: CVE-2018-16846